2024-05-02 v1.7.1 Mark Grant <m.grant.prg@gmail.com>
	* build(deps): bump CityOfLosAngeles/fetch-latest-github-release
	build(deps): bump JamesIves/github-pages-deploy-action
	build(deps): bump JamesIves/github-pages-deploy-action
	build(deps): bump actions/checkout from 2 to 4
dependabot[bot] (4):

	git: Correct gitignore reasoning, empty vs untracked
	git: Add gitignore to ensure directory is present even when empty
	docs: Consolidate Header Naming Considerations in Doxygen
	docs: Consolidate gnulib documentation in Doxygen
	docs: Remove AT Installation document
	at: docs: tests: com-lib: Provide fix for Automake bug
	at: Check full iwyu command name
	Merge pull request #4 from m-grant-prg/dependabot/github_actions/CityOfLosAngeles/fetch-latest-github-release-2.0.4
	editors: Update local-vimrc to v1.0.5
	git: Update mailmap to v1.0.4
	git: Update gitignore to v1.0.12
	git: Update gitattributes to v1.0.5
	editors: Update editorconfig to v1.0.6
	clang-format: Update to v1.0.4
	at: Update Copyright for 2024
	actions: Add clang-format coding style check action
	com-lib: Remove unnecessary include file
	Merge pull request #3 from m-grant-prg/dependabot/github_actions/JamesIves/github-pages-deploy-action-4.5.0
	Bump source and library version numbers
	m4: Upgrade linker m4 to v1.2.0
	srv-lib: Constify as necessary
	com-lib: tests: Constify as necessary
	tests-com-lib: Constify as appropriate
	cli-lib: Constify where appropriate
	srv-prg: Constify and use attribute where appropriate
	cli-prg: Constify and use attribute where appropriate
	srv-lib: Consify and use attribute where appropriate
	com-lib: cli-lib: Constify and use attribute as appropriate
	com-lib: Constify and use attribute where appropriate
	com-lib: Constify config file path
	m4: Update c-compiler m4 to v1.3.0
	srv-prg: Remove redundant else
	srv-prg: Test for error not success
	srv-prg: Refactor swocserver help text
	cli-prg: Remove redundant else
	cli-prg: Test for error not success
	cli-prg: Refactor help text
	srv-prg: man: Improve swocserverd CL syntax description
	srv-prg: man: Improve swocserver CL syntax description
	cli-prg: man: Improve CL syntax description
	at: Improve configure CL syntax description
	all: Remove most in-file ChangeLogs and versioning
	docs: Update Doxygen configuration file
	at: Upgrade gen-gnulib.sh to v1.2.0
	git: Standardise on non-root gitignore file formats
	at: Upgrade bootstrap.sh to v1.6.0
	Merge pull request #2 from m-grant-prg/dependabot/github_actions/JamesIves/github-pages-deploy-action-4.4.3
	Merge pull request #1 from m-grant-prg/dependabot/github_actions/actions/checkout-4
	github: Add dependabot version update config
	gnulib: Update form bookworm upgrade
	actions: Update fetch-latest-release to v2.0.3
Mark Grant (54):

2023-07-31 v1.7.0 Mark Grant <m.grant.prg@gmail.com>
	* at: Add AT installation information
	actions: Separate standard and PPA repo activities
	actions: Remove txt2man install, rely on dependebcies
	editors: Update local.vimrc to v1.0.4
	lxcu: Delete txt2man, rely on dependencies
	docs: README: Update gnulib information
	at: Upgrade gen-gnulib.sh to v1.1.0
	at: gnulib updates
	actions: Run on 22.04
	actions: Correct Copyright dates
	actions: Replace fetch-latest-release action
	at: Allow for v1.1.1~rc1 version numbering
	lxcu: Correct install list to Build-Depends
	lxcu: Add in-file help text
	at: Use pkg-config command AOT Pkg_Check_Modules
	lxcu: Update following vm-container-utils upgrade
	at: Add enable-scan-build CLA
	at: Upgrade bootstrap.sh to v1.5.6
	at: Add missing enable-systemd option comment
	at: Add configure CLA enable-iwyu
	at: Enforce compiler to use rules
	m4: Update linker macros to v1.1.2
	m4: Update c compiler macros to v1.2.3
	git: Update mailmap to v1.0.3
	git: Update gitignore to v1.0.11
	git: Update gitattributes to v1.0.4
	editors: Update editorconfig to v1.0.4
	clang: Update clang-format to v1.0.3
	lxcu: Use new libmgec7 and libmgesysutils2
	actions: Use new libmgec7 and libmgesysutils2
	at: Improve quoting
	at: Use AC_CHECK_FUNCS exclusively
	at: Add further information section
	docs: Add AutoTools section
	at: Move CFLAGS init to Compiler Setup section
	at: Use AC_MSG_CHECKING where appropriate
	at: Use AC_CONFIG_AUX_DIR
	at: Use tmplibraries else pkg-config else search libs
	at: tests: Add libmgec to linker flags
	at: Use find to get tmpheaders
	at: tmplibraries to use absolute paths
	at: Rename to tmplibraries
	all: Flatten inc directory to pkgincludedir
	srv-lib: Flatten directory structure
	com-lib: srv-lib: Flatten directory structure, move tests
	com-lib: Move tests under tests
	cli-prg: Flatten directory structure
	cli-lib: Flatten directory structure
	tests: Move cli-lib tests under tests
	at: Rename tmplibraries
	man: Add pkgincludedir to #include's
	c: Correct included headers
	at: Add automatic test run
	at: tests: Add test compilation of headers
	at: Flatten directory structure for pkgconfig build
	at: pkg-config: Install API headers in pkgincludedir
	all: Use pkginclude location for header files
	at: Empty EXTRA_HEADERS
	git: Ignore headers in sub-directories of inc-tmp
	docs: Remove globbed tarballs
	docs: Add header file guidelines
	docs: Exclude inc-tmp directory
	at: Check for configfile.h in the inc-tmp directory
	at: Check for mge-errno.h in the inc-tmp directory
	at: c: Rename bstree.h
	com-lib: Fix trivial coding style error
	at: c: Rename mgememory.h
	at: c: Rename mgebuffer.h and mgemessage.h
	at: c: Rename portability.h to mge-portability.h
	at: Add libmgesysutils candidate in lib-tmp
	com-lib: strcpy does the job better than strncpy
	com-lib: Use host's canonical name in ID check

2022-08-16 v1.6.3 Mark Grant <m.grant.prg@gmail.com>
	* editors: Update editorconfig to v1.0.3
	editors: Add editorconfig file

2022-07-28 v1.6.2 Mark Grant <m.grant.prg@gmail.com>
	* at: Add URL for online documentation on GitHub Pages
	docs: Host Doxygen documentation at GitHub Pages
	at: doc: Remove stale comment
	doc: Remove distro / branch information
	at: doc: Remove portability constraints for Automake
	at: doc: Introduce doxygen target
	doc: Replace non-working [TOC] with \tableofcontents

2022-06-26 v1.6.1 Mark Grant <m.grant.prg@gmail.com>
	* doc: Update distro releases for this branch
	srv-prg: Replace sprintf with safer snprintf
	srv-lib: Replace sprintf with safer snprintf
	com-lib: Replace sprintf with safer snprintf
	cli-lib: Replace sprintf with safer snprintf
	srv-lib: Correct size of locks_held for sprintf
	com-lib: Fix possible strncmp on NULL buffer
	com-lib: Add check for returned value
	at: Upgrade bootstrap.sh to v1.5.1
	at: Add support for gcc analyzer option
	at: Update compiler and linker macros to v1.1.1

2022-05-28 v1.5.3 Mark Grant <m.grant.prg@gmail.com>
	* man3: srv-dev: Update after error handling re-work
	man3: com-dev: Update after error handling re-work
	man3: cli-dev: Update following error handling re-work
	swocserverd: Initialise err
	all: Improve error handling consistency
	com-lib: Use socket for host nae and IP address
	com-lib: Check for correct interface with getsockname

2021-12-08 v1.5.2 Mark Grant <m.grant.prg@gmail.com>
	* at: Add AC_COPYRIGHT macro
	all: Tighten SPDX tags
	at: Upgrade gen-gnulib.sh to v1.0.3
	m4: Upgrade linker macros to v1.0.2
	m4: Upgrade c compiler macros to v1.0.11
	at: Upgrade bootstrap.sh to v1.4.10
	git: Update mailmap to v1.0.2
	git: Update gitignore to v1.0.7
	git: Update gitattributes to v1.0.3
	clang: Update clang-format to v1.0.2
	at: Use git to enhance package version
	at: Use normal / debug gcc flags built in configure
	at: AX_PTHREAD needs AC_CANONICAL_TARGET
	doc: Add branch / distro-rel status
	doc: Add Fedora 34 EOL date nad add 35

2021-10-30 v1.5.1 Mark Grant <m.grant.prg@gmail.com>
	* doc: Expand branch / Distro release explanation
	at: Upgrade gen-gnulib.sh to v1.0.2
	at: Change debug optimisation to -O0
	at: Update c-compiler macros to v1.0.9
	com-lib: tests: Clear shadowed variable warning
	tests: Clear unused parameters warnings
	actions: New minimum build platform of focal
	srv-prg: Add missing new line
	com-lib: Eliminate -Wsign-conversion warnings
	cli-prg: Silence -Wunused-result warning
	com-lib: Replace deprecated ssh_write_knownhost()
	cpm-lib: Replace deprecated ssh_is_server_known()
	com-lib: Eliminate -Wsign-conversion warnings
	cli-prg: Silence -Wunused-result warning
	com-lib: Replace deprecated ssh_write_knownhost()
	cpm-lib: Replace deprecated ssh_is_server_known()
	srv-prg: Silence -Wunused-result warnings
	srv-prg: Silence -Wunused-result warnings
	srv-prg: Eliminate a Doxygen warning.
	at: Rationalise headers to api and internal directories
	com-dev: clang-format cleanup
	com-dev: Remove unnecessary include
	com-dev: Internalise libswoccommon header
	doc: Update config file after Doxygen upgrade
	at: Use LDFLAGS prepared by configure
	at: Add linker macro
	at: Use CPPFLAGS prepared in configure
	tests: Use CFLAGS from configure
	at: General README update
	at: Capitalise var names in configure and Makefiles
	doc: Bionic is based on v1.4.y branch
	at: gnulib update for bullseye
	doc: Add branch / distro-release notes
	git: Upgrade gitignore to v1.0.5
	doc: Add gnulib setup notes
	lxcu: Add support for Fedora and openSUSE
	at: Trivial date format correction
	systemd: Add security hardening
	doc: Add doc-base installation notes
	doc: Add AT Installation notes
	at: README: Add ldconfig instruction
	doc: Use better directory name misc
	at: Tidy up comments
	doc: Add debugging notes
	at: systemd: Comment the systemd ordering reqs
	at: docs: Move source files to src
	at: Update AT install section for enable-atonly
	at: Register docs with scrollkeeper only if ATONLY
	docs: Document field DOCID must be lower case
	systemd: Add daemon reload command
	doc: Add package version to PROJECT_NUMBER
	git: Add gitattribites file
	git: Add git mailmap file
	at: Upgrade bootstrap.sh to v1.4.9
	travis: Stop using Travis
	actions: Initial build action setup

2020-10-29 v1.4.1 Mark Grant <m.grant.prg@gmail.com>
	*  swocserverd source v1.0.8
	swocserverd: Replace sys_siglist[] with strsignal()
	at: lxcu: Add lxc test build setup
	travis: Use new libmgec2-dev package
	doc: Enable documentation of static functions
	doc: Give docs unique docbase names
	doc: Correct internal docbase directory
	doc: Separate API and internal documentation
	README: Correct git command
	at: libssh check on new function addition
	com-lib: listen_sock() allow retries if in use
	at: Remove check for unused program dia
	cli-prg: Correct position in source tree
	swocserverd: Reset client between message exchange
	srv: com: Add id request and use for each request
	srv-prg: Add common library to LDADD
	cli-prg: Add common library to LDADD
	at: Update bootstrap.sh to v1.4.7

2019-11-16 v1.4.0 Mark Grant <m.grant.prg@gmail.com>
	*  swocserverd source v1.0.7
	swocserver source v1.1.6
	swocclient source v1.1.5
	Server library source v1.1.8
	Client library source v1.1.6
	Common library source v1.1.8
	Server library v3:1:0
	Client library v2:1:0
	Common library v3:2:0
	com-lib: Use ssh_get_server_publickey()
	srv-lib: locks_held allow for terminating nul
	at: README: Make bootstrap.sh reference more generic
	at: Move tests under check target
	Use AC_HEADER_STDBOOL and GNU ifdeffery
	Correct Doxygen params for variadic
	Setup and apply clang-format
	doc: Respect verbosity under enable-silent-rules
	at: Correct AC_ARG_ENABLE help text
	at: Add enable option descriptions in TOF comments
	travis: Initial setup for Travis CI test build farm
	at: Fix make distcheck
	at: Update c-compiler.m4 macros to v1.0.4
	git: Update project root gitignore to v1.0.2
	at: Update bootstrap.sh to v1.4.6
	com-lib: Correct fallthrough comment
	m4: Update to tooling packages
	srv-prg: Fix copy and paste error in @param msg
	srv-prg: Remove 2 incorrect casts
	srv-prg: Trivial type safety improvements
	srv-prg: Remove duplicated if statements
	srv-lib: Add explicit pollint cast for sign conv
	cli-lib: Add explicit pollint cast for sign conv
	com-lib: Trivial type safety improvements
	at: Add missing check for sys/socket.h
	at: Add missing function checks
	at: Check for declaration of sys_siglist

2019-05-30 v 1.2.1 Mark Grant <m.grant.prg@gmail.com>
	*  Swocserverd source v1.0.6
	Swocserver source v1.1.5
	Swocclient source v1.1.4
	Server source v1.1.7
	Client source v1.1.5
	Common source v1.1.7
	Cast ssize_t to size_t to avoid sign warning
	Use configure generated bash location for shebangs
	Make setup script names unique
	Update Copyright statement to new standard
	Update bootstrap.sh to v1.4.3
	README: Add mark down link
	README: Add title and Copyright statement
	README: Make package install references generic
	Remove shebangs from Makefile.ams
	Add install of standard GNU files such as AUTHORS
	Make source tarball name == GitHub
	Remove v from package version number
	Common library v3:0:0
	Client library v2:0:0
	Server library v3:0:0
	Collapse all AT sub-projects into one
	configure.ac: Adopt new standard layout

2018-10-26 v 1.1.8 Mark Grant <m.grant.prg@gmail.com>
	*  Use new mgemessage struct initialiser
	request.c: Remove use of DEF_MSG_SIZE
	Replace deprecated bzero() with memset()
	Add pkg-config Autoconf program check
	Update README to refer to the new wiki
	srctarball to use -src- in filename

2018-09-03 v 1.1.7 Mark Grant <m.grant.prg@gmail.com>
	*  Correct mgebuffer struct initialisation.
	Change mgemessage struct initialisation.
	Remove a spurious include.
	Add missing include directives.
	Correct the types of some local variables.
	Make daemon reload it's config file when it receives a SIGHUP. This is
	the usual convention for daemons.
	Use gdb level 3 flags when debugging.
	Support gcc -H for header file checks.
	Ensure project standard include directory exists.
	Use compiler version dependent CFLAGS.
	Update bootstrap.sh to version 1.3.7.

2018-06-27 v 1.1.6 Mark Grant <m.grant.prg@gmail.com>
	*  Do not use AC_CONFIG_FILES for substitution of Installation Directory
	Variables so reverse the build of setup.sh and swocserverd.service from
	AC_CONFIG_FILES to the Makefile.

2018-06-24 v 1.1.5 Mark Grant <m.grant.prg@gmail.com>
	*  Add informational messages to make srctarball output.
	README: Add N.B. concerning expecting to be in a git environment.
	README: Improve the clarity of the Ubuntu Installation sections.
	Add mgebuffer & mgemessage as temporary header file candidates.
	Allow partial extraction from buffer to msg structs. libmgec/pull_msg
	now allows for the extraction of partial messages from the buffer struct
	to the message struct, so eliminate the clear_msg call if the message
	after pull is incomplete.
	Disable sparse variable length array warnings.
	Build setup.sh in AC_CONFIG_FILES.
	setup.sh: Add SPDX identifier and copyright.
	Make swocserverd.conf in AC_CONFIG_FILES.
	Make swocserverd.service in AC_CONFIG_FILES.
	Remove no longer needed AC_SUBST pkgversion variable.
	Define SWOCSERVER_SOURCE_VERSION in configure.ac
	Define SWOCSERVERD_SOURCE_VERSION in configure.ac

2018-06-05 v 1.1.4 Mark Grant <m.grant.prg@gmail.com>
	*  Add server block list.
	Add support for client block and unblock.
	Change unlock option to release for consistency.
	Update README file.
	Simplify source directory structure.

2018-04-26 v 1.1.3 Mark Grant <m.grant.prg@gmail.com>
	*  Start git tracking of m4 and src/prg/c/gen/lib as downstream
	packaging using a source (AOT distribution) tarball requires these
	gnulib elements to be present.
	Update this project bootstrap.sh to latest version 1.3.4.
	Improve README file.
	Add a make target srctarball to make a source tarball. This can be used
	in the same way as github's source tarball enabling 1 package methodolgy
	irrespective of source repository.

2018-02-28 v 1.1.2 Mark Grant <m.grant.prg@gmail.com>
	*  Add SSH support.
	Implement epoll usage to support multiple ports.
	Change force_unlock to unlock.
	Add Doxygen comments.
	Overhaul of AutoTools project structure.

2017-05-06 v 1.1.0 Mark Grant <m.grant.prg@gmail.com>
	*  Introduce swocserverd daemon and migrate from NFS 'file as a flag'
	semaphore to TCP socket stream messaging between applications and
	daemon.
	Add end_daemon option to command line program.
	Enable systemd service operation. Introduce AutoTool option to configure
	systemd.
	Adopt standards from atcclidsisy template v1.0.0

2016-06-13 v 1.0.9 Mark Grant <m.grant.prg@gmail.com>
	*  Modify to use new more unique library function names.

2016-05-28 v 1.0.8 Mark Grant <m.grant.prg@gmail.com>
	*  Modified following introduction of processing in the libswocserver
	library.

2016-05-17 v 1.0.7 Mark Grant <m.grant.prg@gmail.com>
	*  Add --force-unlock functionality.
	Make --status and --wait ignore directories in its lock directory.

2016-05-10 v 1.0.6 Mark Grant <m.grant.prg@gmail.com>
	*  Move header files to include directory.

2015-10-24 v 1.0.5 Mark Grant <m.grant.prg@gmail.com>
	*  Restructure and change to conform to AutoTools General Template
	v1.0.6.

2015-09-27 v 1.0.4 Mark Grant <m.grant.prg@gmail.com>
	*  Change to conform to AutoTools Template version 1.0.4.

2015-07-12 v 1.0.3 Mark Grant <m.grant.prg@gmail.com>
	*  Change to use libmgesysutils.

2015-06-24 v 1.0.2 Mark Grant <m.grant.prg@gmail.com>
	*  Stop installation of config.h.

2015-06-22 v 1.0.1 Mark Grant <m.grant.prg@gmail.com>
	*  Initial release.

